Name:           geoclue
Version:        0.11.1
Release:        9%{?dist}
Summary:        Geoclue is a modular geoinformation service

Group:          System Environment/Libraries
License:        LGPLv2
URL:            http://geoclue.freedesktop.org/
Source0:        http://folks.o-hand.com/jku/geoclue-releases/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: glib2-devel
BuildRequires: libxml2-devel
BuildRequires: GConf2-devel
BuildRequires: gtk2-devel
BuildRequires: NetworkManager-devel
BuildRequires: gpsd-devel
BuildRequires: gypsy-devel

Requires: dbus

%description
Geoclue is a modular geoinformation service built on top of the D-Bus 
messaging system. The goal of the Geoclue project is to make creating 
location-aware applications as simple as possible. 

%package devel
Summary: Development package for geoclue
Group: Development/Libraries
Requires: geoclue = %{PACKAGE_VERSION}
Requires: pkgconfig
%description devel
Files for development with geoclue.

%package gui
Summary: Testing gui for geoclue
Group: Development/Libraries
Requires: geoclue = %{PACKAGE_VERSION}

%description gui
Testing gui for geoclue

%package gpsd
Summary: gpsd provider for geoclue
Group: Development/Libraries
Requires: geoclue = %{PACKAGE_VERSION}

%description gpsd
A gpsd provider for geoclue

%package gypsy
Summary: gypsy provider for geoclue
Group: Development/Libraries
Requires: geoclue = %{PACKAGE_VERSION}

%description gypsy
A gypsy provider for geoclue

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/libgeoclue.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%dir %{_datadir}/geoclue-providers
%{_libdir}/libgeoclue.so.0
%{_libdir}/libgeoclue.so.0.0.0
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.*
%{_datadir}/geoclue-providers/geoclue-*
%{_libexecdir}/geoclue-*

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/geoclue
%dir %{_datadir}/gtk-doc/html/geoclue/
%doc %{_datadir}/gtk-doc/html/geoclue/*
%{_includedir}/geoclue/*
%{_libdir}/pkgconfig/geoclue.pc
%{_libdir}/libgeoclue.so

%files gui
%{_bindir}/geoclue-test-gui

%files gpsd
%{_libexecdir}/geoclue-gpsd

%files gypsy
%{_libexecdir}/geoclue-gypsy

%changelog
* Fri Jun 6 2008 Peter Robinson <pbrobinson@gmail.com> 0.11.1-9
- increment build

* Fri Jun 6 2008 Peter Robinson <pbrobinson@gmail.com> 0.11.1-8
- Re-add gypsy provider now that its been pushed to updates

* Mon May 19 2008 Peter Robinson <pbrobinson@gmail.com> 0.11.1-7
- Remove gypsy requires too

* Sun May 18 2008 Peter Robinson <pbrobinson@gmail.com> 0.11.1-6
- Remove gypsy until it gets into F9 updates

* Sun May 18 2008 Peter Robinson <pbrobinson@gmail.com> 0.11.1-5
- Added gypsy and gpsd providers to build as sub packages

* Mon Apr 28 2008 Peter Robinson <pbrobinson@gmail.com> 0.11.1-4
- Moved api documentation to -devel

* Sat Apr 26 2008 Peter Robinson <pbrobinson@gmail.com> 0.11.1-3
- Cleanup requires and group for test gui

* Sat Apr 26 2008 Peter Robinson <pbrobinson@gmail.com> 0.11.1-2
- Some spec file cleanups

* Fri Apr 25 2008 Peter Robinson <pbrobinson@gmail.com> 0.11.1-1
- Initial package
